org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddVertexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddVertexTest

- Direct Known Subclasses:
    AddVertexTest.Traversals

      public abstract class AddVertexTest
      extends AbstractGremlinTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AddVertexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddVertexTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_addV_propertyXlabel_personX()`
    `void` | `g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()`
    `void` | `g_addVXnullX_propertyXid_nullX()`
    `void` | `g_addVXpersonX_propertyXname_stephenX()`
    `void` | `g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()`
    `void` | `g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()`
    `void` | `g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()`
    `void` | `g_V_addVXanimalX_propertyXage_0X()`
    `void` | `g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()`
    `void` | `g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()`
    `void` | `g_V_hasLabelXpersonX_propertyXname_nullX()`
    `void` | `g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()`
    `void` | `g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX()`
    `void` | `g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()`
    `void` | `g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()`
    `void` | `g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addV_propertyXlabel_personX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addVXnullX_propertyXid_nullX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXname_stephenX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()`
    `abstract Traversal<Vertex,String>` | `get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_addVXanimalX_propertyXage_0X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()`
    `abstract Traversal<Vertex,Map<Object,Object>>` | `get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasLabelXpersonX_propertyXname_nullX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX(Object v1Id)`
    `abstract Traversal<Vertex,String>` | `get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()`
    `abstract Traversal<Vertex,String>` | `get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()`
    `abstract Traversal<Vertex,Map<Object,List<String>>>` | `get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddVertexTest

          public AddVertexTest()

  - ### Method Detail

    - #### get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX(Object v1Id)

    - #### get_g_V_addVXanimalX_propertyXage_0X

          public abstract Traversal<Vertex,Vertex> get_g_V_addVXanimalX_propertyXage_0X()

    - #### get_g_addVXpersonX_propertyXname_stephenX

          public abstract Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXname_stephenX()

    - #### get_g_V_hasLabelXpersonX_propertyXname_nullX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasLabelXpersonX_propertyXname_nullX()

    - #### get_g_addVXnullX_propertyXid_nullX

          public abstract Traversal<Vertex,Vertex> get_g_addVXnullX_propertyXid_nullX()

    - #### get_g_addV_propertyXlabel_personX

          public abstract Traversal<Vertex,Vertex> get_g_addV_propertyXlabel_personX()

    - #### get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX

          public abstract Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()

    - #### get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X

          public abstract Traversal<Vertex,Vertex> get_g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()

    - #### get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX

          public abstract Traversal<Vertex,Vertex> get_g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()

    - #### get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X

          public abstract Traversal<Vertex,Vertex> get_g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()

    - #### get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX

          public abstract Traversal<Vertex,Vertex> get_g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()

    - #### get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX

          public abstract Traversal<Vertex,Map<Object,List<String>>> get_g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()

    - #### get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name

          public abstract Traversal<Vertex,String> get_g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()

    - #### get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label

          public abstract Traversal<Vertex,String> get_g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()

    - #### get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name

          public abstract Traversal<Vertex,String> get_g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()

    - #### get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX

          public abstract Traversal<Vertex,Map<Object,Object>> get_g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()

    - #### g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX

          public void g_VX1X_addVXanimalX_propertyXage_selectXaX_byXageXX_propertyXname_puppyX()

    - #### g_V_addVXanimalX_propertyXage_0X

          public void g_V_addVXanimalX_propertyXage_0X()

    - #### g_addVXnullX_propertyXid_nullX

          public void g_addVXnullX_propertyXid_nullX()

    - #### g_addV_propertyXlabel_personX

          public void g_addV_propertyXlabel_personX()

    - #### g_addVXpersonX_propertyXname_stephenX

          public void g_addVXpersonX_propertyXname_stephenX()

    - #### g_V_hasLabelXpersonX_propertyXname_nullX

          public void g_V_hasLabelXpersonX_propertyXname_nullX()

    - #### g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX

          public void g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenmX()

    - #### g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X

          public void g_addVXpersonX_propertyXsingle_name_stephenX_propertyXsingle_name_stephenm_since_2010X()

    - #### g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX

          public void g_V_hasXname_markoX_propertyXfriendWeight_outEXknowsX_weight_sum__acl_privateX()

    - #### g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X

          public void g_addVXanimalX_propertyXname_mateoX_propertyXname_gateoX_propertyXname_cateoX_propertyXage_5X()

    - #### g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX

          public void g_V_addVXanimalX_propertyXname_valuesXnameXX_propertyXname_an_animalX_propertyXvaluesXnameX_labelX()

    - #### g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX

          public void g_withSideEffectXa_testX_V_hasLabelXsoftwareX_propertyXtemp_selectXaXX_valueMapXname_tempX()

    - #### g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name

          public void g_withSideEffectXa_markoX_addV_propertyXname_selectXaXX_name()

    - #### g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name

          public void g_withSideEffectXa_nameX_addV_propertyXselectXaX_markoX_name()

    - #### g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label

          public void g_addVXV_hasXname_markoX_propertiesXnameX_keyX_label()

    - #### g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX

          public void g_V_asXaX_hasXname_markoX_outXcreatedX_asXbX_addVXselectXaX_labelX_propertyXtest_selectXbX_labelX_valueMap_withXtokensX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.